<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::GameState Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1GameState.html">GameState</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classgg_1_1GameState-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::GameState Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="GameState_8hpp_source.html">GameState.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::GameState:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1GameState.png" usemap="#gg::GameState_map" alt=""/>
  <map id="gg::GameState_map" name="gg::GameState_map">
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="0,0,133,24"/>
<area href="classgg_1_1ControlsMenu.html" alt="gg::ControlsMenu" shape="rect" coords="214,112,347,136"/>
<area href="classgg_1_1CustomGameState.html" alt="gg::CustomGameState" shape="rect" coords="214,168,347,192"/>
<area href="classgg_1_1Gameplay.html" alt="gg::Gameplay" shape="rect" coords="214,224,347,248"/>
<area href="classgg_1_1LoadGame.html" alt="gg::LoadGame" shape="rect" coords="214,280,347,304"/>
<area href="classgg_1_1MainMenu.html" alt="gg::MainMenu" shape="rect" coords="214,336,347,360"/>
<area href="classgg_1_1NewGame.html" alt="gg::NewGame" shape="rect" coords="214,392,347,416"/>
<area href="classgg_1_1PauseMenu.html" alt="gg::PauseMenu" shape="rect" coords="214,448,347,472"/>
<area href="classgg_1_1Settings.html" alt="gg::Settings" shape="rect" coords="214,504,347,528"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5f1b188a3cb1ecb87ee511eb94bac00a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">GameState</a> (<a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>)</td></tr>
<tr class="separator:a5f1b188a3cb1ecb87ee511eb94bac00a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002bb6e63a30011a1994f94a174f78dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">~GameState</a> () override=default</td></tr>
<tr class="separator:a002bb6e63a30011a1994f94a174f78dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b20ea0224f8a5fde426cecc5c58663"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">Enter</a> ()</td></tr>
<tr class="separator:aa5b20ea0224f8a5fde426cecc5c58663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8ba8c1de8c6d955266c06366b945e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">Exit</a> ()</td></tr>
<tr class="separator:a1bd8ba8c1de8c6d955266c06366b945e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ecdbb073943b30d3761441a64c287f2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">Update</a> ()=0</td></tr>
<tr class="separator:a9ecdbb073943b30d3761441a64c287f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889abdb1cbc9d27df5b6ea25dae3942b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">GetSceneType</a> () -&gt; <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td></tr>
<tr class="separator:a889abdb1cbc9d27df5b6ea25dae3942b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a73aefae71e9c2b1d25570209eb8060ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a73aefae71e9c2b1d25570209eb8060ba">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a73aefae71e9c2b1d25570209eb8060ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aff73b97ff10df8d9e2adc87adb946721"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aff73b97ff10df8d9e2adc87adb946721">m_sceneType</a> = <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9a90589c47f06eb971d548591f23c285af">SceneType::Custom</a></td></tr>
<tr class="separator:aff73b97ff10df8d9e2adc87adb946721"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5f1b188a3cb1ecb87ee511eb94bac00a" name="a5f1b188a3cb1ecb87ee511eb94bac00a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f1b188a3cb1ecb87ee511eb94bac00a">&#9670;&nbsp;</a></span>GameState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::GameState::GameState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a002bb6e63a30011a1994f94a174f78dd" name="a002bb6e63a30011a1994f94a174f78dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a002bb6e63a30011a1994f94a174f78dd">&#9670;&nbsp;</a></span>~GameState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::GameState::~GameState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a73aefae71e9c2b1d25570209eb8060ba" name="a73aefae71e9c2b1d25570209eb8060ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73aefae71e9c2b1d25570209eb8060ba">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::GameState::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5b20ea0224f8a5fde426cecc5c58663" name="aa5b20ea0224f8a5fde426cecc5c58663"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5b20ea0224f8a5fde426cecc5c58663">&#9670;&nbsp;</a></span>Enter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::GameState::Enter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1ControlsMenu.html#a2d84ece04a5664a941e5649ec29c6161">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1CustomGameState.html#a49aca6084f6314d5f73ce22b99a83d8b">gg::CustomGameState</a>, <a class="el" href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">gg::Gameplay</a>, <a class="el" href="classgg_1_1LoadGame.html#a012089b4102a2a9944cf64014d790b8e">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a5bc5ec36b2b20a4d54843164718e727b">gg::MainMenu</a>, <a class="el" href="classgg_1_1NewGame.html#aa42637dc6d277058fa3961be6a84ee74">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#a065f00cadb9472b37fbc5a2630685eff">gg::PauseMenu</a>, and <a class="el" href="classgg_1_1Settings.html#a7f7f116504600973893e8b99be64f743">gg::Settings</a>.</p>

</div>
</div>
<a id="a1bd8ba8c1de8c6d955266c06366b945e" name="a1bd8ba8c1de8c6d955266c06366b945e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bd8ba8c1de8c6d955266c06366b945e">&#9670;&nbsp;</a></span>Exit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::GameState::Exit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1ControlsMenu.html#a6882f2b2e7174d76af4b003896e969e0">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">gg::Gameplay</a>, <a class="el" href="classgg_1_1LoadGame.html#a59171c9e105381f4cfeed42870f6be6f">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a72b7f15334b32c3ed6a389129eb55b9d">gg::MainMenu</a>, <a class="el" href="classgg_1_1NewGame.html#a0186efdaf02093c631847e9a08ab80ee">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#a485e461c83c2f82453fa77c558109083">gg::PauseMenu</a>, and <a class="el" href="classgg_1_1Settings.html#ad608a30559e98393724c03521659ba38">gg::Settings</a>.</p>

</div>
</div>
<a id="a889abdb1cbc9d27df5b6ea25dae3942b" name="a889abdb1cbc9d27df5b6ea25dae3942b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889abdb1cbc9d27df5b6ea25dae3942b">&#9670;&nbsp;</a></span>GetSceneType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::GameState::GetSceneType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ecdbb073943b30d3761441a64c287f2" name="a9ecdbb073943b30d3761441a64c287f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ecdbb073943b30d3761441a64c287f2">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::GameState::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1ControlsMenu.html#a9ab9399a09dd100b3316a8747c6a413c">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1CustomGameState.html#a38f252ae0a5aecdf3cb6850a775492ef">gg::CustomGameState</a>, <a class="el" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">gg::Gameplay</a>, <a class="el" href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a0c810434dad6d6ccfc40947c8daf8a01">gg::MainMenu</a>, <a class="el" href="classgg_1_1NewGame.html#a4777fb0ee69f952d56ebb922c2296e13">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#ac7aac85866029aea43245f2bfcd8a554">gg::PauseMenu</a>, and <a class="el" href="classgg_1_1Settings.html#a6b747ce6c0619df3e820204719ed6228">gg::Settings</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aff73b97ff10df8d9e2adc87adb946721" name="aff73b97ff10df8d9e2adc87adb946721"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff73b97ff10df8d9e2adc87adb946721">&#9670;&nbsp;</a></span>m_sceneType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a> gg::GameState::m_sceneType = <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9a90589c47f06eb971d548591f23c285af">SceneType::Custom</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gamestates/<a class="el" href="GameState_8hpp_source.html">GameState.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
